textproc/ruby-rqrcode - The NetBSD Packages Collection

Ruby library for QR codes in various formats

RQRCode

RQRCode is a library for creating and rendering QR codes into various
formats.  It has a simple interface with all the standard QR code options.
It was adapted from the Javascript library by Kazuhiko Arase.

* QR code is trademarked by Denso Wave inc
* Minimum Ruby version is `>= 2.3`

Build dependencies

pkgtools/cwrappers

Runtime dependencies

textproc/ruby-rqrcode_core graphics/ruby-chunky_png lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-rqrcode-2.1.0.tgz
NetBSD 8.0earmv7hfruby27-rqrcode-2.1.0.tgz
NetBSD 8.0earmv7hfruby26-rqrcode-2.0.0.tgz
NetBSD 8.0earmv7hfruby27-rqrcode-2.0.0.tgz
NetBSD 8.0i386ruby26-rqrcode-2.0.0.tgz
NetBSD 8.0i386ruby27-rqrcode-2.0.0.tgz
NetBSD 8.0powerpcruby26-rqrcode-2.0.0.tgz
NetBSD 8.0powerpcruby27-rqrcode-2.0.0.tgz
NetBSD 8.0powerpcruby26-rqrcode-2.0.0.tgz
NetBSD 8.0powerpcruby27-rqrcode-2.0.0.tgz
NetBSD 8.0powerpcruby26-rqrcode-2.1.0.tgz
NetBSD 8.0powerpcruby27-rqrcode-2.1.0.tgz
NetBSD 8.0x86_64ruby26-rqrcode-2.0.0.tgz
NetBSD 8.0x86_64ruby27-rqrcode-2.0.0.tgz
NetBSD 9.0aarch64ruby26-rqrcode-2.1.0.tgz
NetBSD 9.0aarch64ruby27-rqrcode-2.1.0.tgz
NetBSD 9.0aarch64ruby30-rqrcode-2.1.0.tgz
NetBSD 9.0aarch64ruby26-rqrcode-2.0.0.tgz
NetBSD 9.0aarch64ruby27-rqrcode-2.0.0.tgz
NetBSD 9.0aarch64ruby30-rqrcode-2.0.0.tgz
NetBSD 9.0alpharuby26-rqrcode-2.1.0.tgz
NetBSD 9.0alpharuby27-rqrcode-2.1.0.tgz
NetBSD 9.0alpharuby26-rqrcode-2.0.0.tgz
NetBSD 9.0alpharuby27-rqrcode-2.0.0.tgz
NetBSD 9.0earmruby26-rqrcode-2.1.0.tgz
NetBSD 9.0earmruby27-rqrcode-2.1.0.tgz
NetBSD 9.0earmv6hfruby26-rqrcode-2.1.0.tgz
NetBSD 9.0earmv6hfruby27-rqrcode-2.1.0.tgz
NetBSD 9.0earmv6hfruby30-rqrcode-2.1.0.tgz
NetBSD 9.0earmv6hfruby26-rqrcode-2.0.0.tgz
NetBSD 9.0earmv6hfruby27-rqrcode-2.0.0.tgz
NetBSD 9.0earmv6hfruby30-rqrcode-2.0.0.tgz
NetBSD 9.0earmv7hfruby26-rqrcode-2.1.0.tgz
NetBSD 9.0earmv7hfruby27-rqrcode-2.1.0.tgz
NetBSD 9.0earmv7hfruby30-rqrcode-2.1.0.tgz
NetBSD 9.0earmv7hfruby26-rqrcode-2.0.0.tgz
NetBSD 9.0earmv7hfruby27-rqrcode-2.0.0.tgz
NetBSD 9.0earmv7hfruby30-rqrcode-2.0.0.tgz
NetBSD 9.0earmv7hfruby26-rqrcode-2.1.0.tgz
NetBSD 9.0earmv7hfruby27-rqrcode-2.1.0.tgz
NetBSD 9.0earmv7hfruby30-rqrcode-2.1.0.tgz
NetBSD 9.0i386ruby26-rqrcode-2.0.0.tgz
NetBSD 9.0i386ruby27-rqrcode-2.0.0.tgz
NetBSD 9.0i386ruby30-rqrcode-2.0.0.tgz
NetBSD 9.0i386ruby26-rqrcode-2.1.0.tgz
NetBSD 9.0i386ruby27-rqrcode-2.1.0.tgz
NetBSD 9.0i386ruby30-rqrcode-2.1.0.tgz
NetBSD 9.0mips64ebruby26-rqrcode-2.0.0.tgz
NetBSD 9.0mips64ebruby27-rqrcode-2.0.0.tgz
NetBSD 9.0mips64ebruby30-rqrcode-2.0.0.tgz
NetBSD 9.0mips64ebruby26-rqrcode-2.1.0.tgz
NetBSD 9.0mips64ebruby27-rqrcode-2.1.0.tgz
NetBSD 9.0mipselruby27-rqrcode-2.0.0.tgz
NetBSD 9.0mipselruby27-rqrcode-2.1.0.tgz
NetBSD 9.0powerpcruby26-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby27-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby30-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby26-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby27-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby30-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby26-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby26-rqrcode-2.1.0.tgz
NetBSD 9.0powerpcruby27-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby27-rqrcode-2.1.0.tgz
NetBSD 9.0powerpcruby30-rqrcode-2.0.0.tgz
NetBSD 9.0powerpcruby30-rqrcode-2.1.0.tgz
NetBSD 9.0sparc64ruby26-rqrcode-2.0.0.tgz
NetBSD 9.0sparc64ruby27-rqrcode-2.0.0.tgz
NetBSD 9.0sparc64ruby30-rqrcode-2.0.0.tgz
NetBSD 9.0sparc64ruby26-rqrcode-2.1.0.tgz
NetBSD 9.0sparc64ruby27-rqrcode-2.1.0.tgz
NetBSD 9.0sparc64ruby30-rqrcode-2.1.0.tgz
NetBSD 9.0sparcruby27-rqrcode-2.1.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode-2.0.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode-2.0.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode-2.0.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode-2.1.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode-2.1.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode-2.1.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode-2.0.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode-2.0.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode-2.0.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode-2.1.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode-2.1.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode-2.1.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.